Page MenuHomePhabricator

Glosses: display the language name instead of the language code
Closed, ResolvedPublic8 Story Points

Description

As a LexData editor, I want to understand easily what is the language of the glosses I read and edit.

Problem: Currently, when reading and editing glosses, only the language code (eg "fr") is displayed.
When reading, it would be way better if the language name is displayed (in the language of the user's interface)
When editing or adding a gloss, the user should be able to type either the language code or the language name, and have a suggester.

BDD
GIVEN a Sense with a Gloss
WHEN viewing the page
THEN the language of the Gloss should be indicated by the name of the language in the user interface language

Acceptance criteria:

  • the Gloss section of a Sense uses language names in the user interface language instead of language codes

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptSep 4 2018, 1:18 PM
KaMan added a subscriber: KaMan.Sep 4 2018, 2:25 PM
Lydia_Pintscher moved this task from Incoming to Ready to estimate on the Wikidata-Campsite board.

I'd be fine with switching to ordering by language name if we can do the same for termbox.

Addshore moved this task from incoming to in progress on the Wikidata board.Oct 9 2018, 9:36 AM

@Addshore This task seems to already have been estimated – was it decided that it didn’t need to be broken down into any subtasks? Because I see at least two parts here, and the client-side stuff seems much harder to me than the server-side stuff.

Change 472497 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/WikibaseLexeme@master] Show language of gloss in ui language when viewing

https://gerrit.wikimedia.org/r/472497

Change 472497 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Show language of gloss in ui language when viewing

https://gerrit.wikimedia.org/r/472497

Looks good to me on beta

Moving to needs announce, not sure if this actually needs an announce though? but I'll let @Lea_Lacroix_WMDE decide
This wont end up being deployed for 2 weeks.

Well, the editing part isn’t implemented yet, so that might be confusing to users?

Good point! Can we do it in a similar way to monolingual text values? If so I can create a separate ticket for it.

Good point! Can we do it in a similar way to monolingual text values? If so I can create a separate ticket for it.

Sounds good to me.

Now deployed and announced. Will do another announcement when the changes in editing mode are ready :)

Restricted Application added a project: User-Michael. · View Herald TranscriptDec 4 2018, 2:23 PM
Lydia_Pintscher closed this task as Resolved.Dec 10 2018, 11:17 AM

@Lydia_Pintscher there is visual problem after this task. I formulated it in https://phabricator.wikimedia.org/T211577